Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class CompareExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.InMemoryExpression
            |
            +--com.solarmetric.rd.kodo.query.exp.CompareExpression

All Implemented Interfaces:
  Expression

Direct Known Subclasses:
  EqualExpression, GreaterThanEqualExpression, GreaterThanExpression, LessThanEqualExpression, LessThanExpression, NotEqualExpression

public abstract class CompareExpression
extends InMemoryExpression

Expression that compares two others.

Constructor Summary
`CompareExpression(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1, com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)` Constructor.

Method Summary
`protected abstract boolean` | `compare(java.lang.Object o1, java.lang.Object o2)` Compare the two values.
`protected boolean` | `eval(java.lang.Object candidate, java.lang.Object orig, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params)` Return the expressions to compare.

Methods inherited from class com.solarmetric.rd.kodo.query.exp.InMemoryExpression
`evaluate, order`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompareExpression

    public CompareExpression(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1,
                             com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)

  Constructor. Supply values to compare.

Method Detail

### eval

    protected boolean eval(java.lang.Object candidate,
                           java.lang.Object orig,
                           com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                           java.util.Map params)

  Return the expressions to compare.

  Overrides:
    `eval` in class `InMemoryExpression`

### compare

    protected abstract boolean compare(java.lang.Object o1,
                                       java.lang.Object o2)

  Compare the two values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.